Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMotifPlusStyle Class Reference

The QMotifPlusStyle class provides a more sophisticated Motif-ish look and feel. More...

    #include <QMotifPlusStyle>

Inherits QMotifStyle.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QMotifPlusStyle ( bool hoveringHighlight = true )
- virtual ~QMotifPlusStyle ()
- void drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default, SCFlags controls = SC_All, SCFlags active = SC_None /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- void drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- void drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- QRect querySubControlMetrics ( ComplexControl control, const QWidget * widget, SubControl subcontrol ) const
- int styleHint ( StyleHint sh, const QWidget * , QStyleHintReturn * = 0 ) const
- QRect subRect ( SubRect r, const QWidget * widget ) const

- 10 public functions inherited from QMotifStyle
- 9 public functions inherited from QCommonStyle
- 23 public functions inherited from QStyle
- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

The QMotifPlusStyle class provides a more sophisticated Motif-ish look and feel.

This class implements a Motif-ish look and feel with the more sophisticated bevelling as used by the GIMP Toolkit (GTK+) for Unix/X11.

Most of the functions are documented in the base classes, QMotifStyle, QCommonStyle, and QStyle, but QMotifPlusStyle overloads of drawComplexControl(), drawControl(), drawPrimitive(), querySubControlMetrics(), and subRect() are documented here.

## Member Function Documentation

### QMotifPlusStyle::QMotifPlusStyle ( bool hoveringHighlight = true )

Constructs a QMotifPlusStyle

If hoveringHighlight is true (the default), then the style will not highlight push buttons, checkboxes, radiobuttons, comboboxes, scrollbars or sliders.

### QMotifPlusStyle::~QMotifPlusStyle () `[virtual]`

Destroys the style.

### void QMotifPlusStyle::drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default, SCFlags controls = SC_All, SCFlags active = SC_None /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### void QMotifPlusStyle::drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### void QMotifPlusStyle::drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### QRect QMotifPlusStyle::querySubControlMetrics ( ComplexControl control, const QWidget * widget, SubControl subcontrol ) const

### int QMotifPlusStyle::styleHint ( StyleHint sh, const QWidget * , QStyleHintReturn * = 0 ) const

### QRect QMotifPlusStyle::subRect ( SubRect r, const QWidget * widget ) const